{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_wget"
                }
            ],
            "steps": [
                {
                    "run": "#extract_md5checksums.cwl",
                    "in": [
                        {
                            "source": "#main/step_wget/out_wget",
                            "id": "#main/step_extract_md5checksums/in_extract_md5checksums"
                        }
                    ],
                    "out": [
                        "#main/step_extract_md5checksums/out_extract_md5checksums"
                    ],
                    "id": "#main/step_extract_md5checksums"
                },
                {
                    "run": "#md5sum_check.cwl",
                    "in": [
                        {
                            "source": "#main/step_extract_md5checksums/out_extract_md5checksums",
                            "id": "#main/step_md5sum_check/in_md5sum_check_from_extract"
                        },
                        {
                            "source": "#main/step_wget/out_wget",
                            "id": "#main/step_md5sum_check/in_md5sum_check_from_wget"
                        }
                    ],
                    "out": [
                        "#main/step_md5sum_check/out_md5sum_check"
                    ],
                    "id": "#main/step_md5sum_check"
                },
                {
                    "run": "#wget.cwl",
                    "in": [
                        {
                            "source": "#main/in_wget",
                            "id": "#main/step_wget/in_wget"
                        }
                    ],
                    "out": [
                        "#main/step_wget/out_wget"
                    ],
                    "id": "#main/step_wget"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step_extract_md5checksums/out_extract_md5checksums",
                    "id": "#main/out_extract_md5checksums-workflow"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step_md5sum_check/out_md5sum_check",
                    "id": "#main/out_md5sum_check-workflow"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step_wget/out_wget",
                    "id": "#main/out_wget-workflow"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ return inputs.in_extract_md5checksums; }"
                }
            ],
            "baseCommand": [
                "egrep"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "${ var LIST = inputs.in_extract_md5checksums; var A = []; for (var i = 0; i < LIST.length; i++) { if ((LIST[i].class == 'File') && (LIST[i].nameext == '.gz')) { A.push(LIST[i].basename); } } var B = []; for (var i = 0; i < A.length; i++) { B = B + A[i]; if(i != A.length-1) { B = B + '|'; } } return B; }"
                },
                {
                    "position": 2,
                    "valueFrom": "${ var LIST = inputs.in_extract_md5checksums; for (var i = 0; i < LIST.length; i++) { if ((LIST[i].class == 'File') && (LIST[i].nameext == '.txt')) { return LIST[i].basename; } } }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#extract_md5checksums.cwl/in_extract_md5checksums"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/out_extract_md5checksums",
                    "outputBinding": {
                        "glob": "md5checksums.txt2"
                    }
                }
            ],
            "stdout": "md5checksums.txt2",
            "id": "#extract_md5checksums.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var A = inputs.in_md5sum_check_from_wget; A.push(inputs.in_md5sum_check_from_extract); return A; }"
                }
            ],
            "baseCommand": [
                "md5sum"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-c",
                        "position": 1,
                        "valueFrom": "$(self.basename)"
                    },
                    "id": "#md5sum_check.cwl/in_md5sum_check_from_extract"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#md5sum_check.cwl/in_md5sum_check_from_wget"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#md5sum_check.cwl/out_md5sum_check",
                    "outputBinding": {
                        "glob": "md5checksums.log"
                    }
                }
            ],
            "stdout": "md5checksums.log",
            "id": "#md5sum_check.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget.cwl/in_wget"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*"
                    },
                    "id": "#wget.cwl/out_wget"
                }
            ],
            "id": "#wget.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
